# ATMEL Wireless Card Setup for linux
# Copyright 2001 (c) ATMEL Hellas

if [ $# -gt 0 ] && [ $1 == 'all' ]; then 
	BUILD_M=y
else
	BUILD_M=n
fi

CFG_FILE=.config

echo -n "Build all (y/n) : "
read Ball

if [ $Ball ] && [ $Ball == 'y' ]; then
	BUILD_M=y
fi

CONFIG_DBG=n
CONFIG_USB=$BUILD_M
CONFIG_PCI=$BUILD_M
CONFIG_PCMCIA=$BUILD_M

CONFIG_PCMCIA_502=$BUILD_M
CONFIG_PCMCIA_502A=$BUILD_M
CONFIG_PCMCIA_502AD=$BUILD_M
CONFIG_PCMCIA_502AE=$BUILD_M
CONFIG_PCMCIA_504=$BUILD_M
CONFIG_PCI_506=$BUILD_M

CONFIG_USB_503A_RFMD=$BUILD_M
CONFIG_USB_503A_I=$BUILD_M
CONFIG_USB_503A_I3863=$BUILD_M
CONFIG_USB_505=$BUILD_M
CONFIG_USB_CUSTOMPIDVID=n

CONFIG_APPS=$BUILD_M
CONFIG_CMD_LINE=$BUILD_M
CONFIG_XAPP=n

PID=0
VID=0
BoardType=0
BoardDefine=0

function GetPIDVID()
{
		echo -n "Give the desired Product ID : 0x"
		read PID
		echo -n "Give the desired Vendor  ID : 0x"
		read VID
		echo "What type of board do you have?"
		echo -n "(1: RFMD, 2:Intersil 3861, 3:Intersil 3863)?"
		read BoardType
		F=newconfig.h
		if [ -f $F ]; then rm -f $F; fi
		HASCUS=$(grep -c "ine VNetPID_CU" src/includes/usb/config.h)
		grep -v 'ine VNetPID_CU' src/includes/usb/config.h |grep -v 'ine VNetVID_CU'|grep -v 'error' >src/includes/usb/config.h
		while read A
		do
				FOUND=$(echo "$A"|grep -c 'define __con')
				TABN=$(echo "$A"|grep -c USB_DEVICE)
				EMBLOCK=$(echo "$A"|grep -c '{ }')
				if [ $FOUND -eq 1 ]; then
					echo "$A" >> $F
					if [ $HASCUS -eq 0 ] ;then
						echo >> $F
					fi
					echo "#define VNetVID_CUSTOM 0x$VID" >> $F
					echo "#define VNetPID_CUSTOM 0x$PID" >> $F
				else
					if [ $TABN -eq 1 ] || [ $EMBLOCK -eq 1 ]; then
						echo -e "\t$A" >> $F
					else
						echo "$A" >> $F
					fi
				fi
		done < src/includes/usb/config.h
		rm -f src/includes/usb/config.h
		mv $F src/includes/usb/config.h
		case $BoardType in
				1 )
				BoardDefine=RFMD
				;;
				2 )		
				;;
				3 )
				BoardDefine=i3863
				;;
				* )	
				echo "Invalid input gived. Please retry"
				return
				;;
		esac
}

bash scripts/setup.sh ${CFG_FILE}tmp

if [ $BUILD_M == 'n' ]; then
	echo -ne "\033[0;37m"
	echo -n "Build Debug version (y/n) : "
	read CONFIG_DBG

	echo -n "Build USB Drivers (y/n) : "
	read CONFIG_USB

	if [ $CONFIG_USB ] && [ $CONFIG_USB == 'y' ];then
		echo -n "Build USB 503A RFMD Driver (y/n) : "
		read CONFIG_USB_503A_RFMD

		echo -n "Build USB 503A intersil 3861 Driver (y/n) : "
		read CONFIG_USB_503A_I

		echo -n "Build USB intersil 3863 Driver (y/n) : "
		read CONFIG_USB_503A_I3863

		echo -n "Build USB RFMD 505 Driver (y/n) : "
		read CONFIG_USB_505

		echo -n "Build Driver with Custom PID VID (y/n) : "
		read CONFIG_USB_CUSTOMPIDVID

		if [ $CONFIG_USB_CUSTOMPIDVID ] && [ $CONFIG_USB_CUSTOMPIDVID = 'y' ]; then
			GetPIDVID
		fi
	fi

	echo -n "Build PCMCIA Drivers (y/n) : "
	read CONFIG_PCMCIA

	if [ $CONFIG_PCMCIA ] && [ $CONFIG_PCMCIA == 'y' ];then 
		echo -n "Build PCMCIA intersil Driver (y/n) : "
		read CONFIG_PCMCIA_502

		echo -n "Build PCMCIA rfmd Driver (y/n) : "
		read CONFIG_PCMCIA_502A

		echo -n "Build PCMCIA rfmd revision d Driver (y/n) : "
		read CONFIG_PCMCIA_502AD

		echo -n "Build PCMCIA rfmd revision e Driver (y/n) : "
		read CONFIG_PCMCIA_502AE

		echo -n "Build PCMCIA 504 Driver (y/n) : "
		read CONFIG_PCMCIA_504
	fi

	echo -n "Build miniPCI Driver (y/n) : "
	read CONFIG_PCI

	if [ $CONFIG_PCI ] && [ $CONFIG_PCI == 'y' ];then 
		CONFIG_PCI_506=y
	fi

	echo -n "Build applications (y/n) : " 
	read CONFIG_APPS

	if [ $CONFIG_APPS ] && [ $CONFIG_APPS == 'y' ];then
		echo -n "Build command line application (y/n) : "
		read CONFIG_CMD_LINE
	
		XFORMSOK=$(grep HAS_FORM ${CFG_FILE}tmp|grep y -c)
		if [ $XFORMSOK -eq 0 ]; then 
			echo "You have to install the xforms library in order to use the xvnet application"
			CONFIG_XAPP=n
		else
			echo -n "Build X windows application (y/n) : "
			read CONFIG_XAPP
		fi
	fi
	echo -ne "\033[1;39m"
fi

echo -n > $CFG_FILE

echo CONFIG_PCI=$CONFIG_PCI >> $CFG_FILE
echo "" >> $CFG_FILE
echo "#PCMCIA Drivers" >> $CFG_FILE
echo CONFIG_PCMCIA=$CONFIG_PCMCIA >> $CFG_FILE
echo CONFIG_PCMCIA_502=$CONFIG_PCMCIA_502 >> $CFG_FILE
echo CONFIG_PCMCIA_502A=$CONFIG_PCMCIA_502A >> $CFG_FILE
echo CONFIG_PCMCIA_502AD=$CONFIG_PCMCIA_502AD >> $CFG_FILE
echo CONFIG_PCMCIA_502AE=$CONFIG_PCMCIA_502AE >> $CFG_FILE
echo CONFIG_PCMCIA_504=$CONFIG_PCMCIA_504 >> $CFG_FILE
echo CONFIG_PCI_506=$CONFIG_PCI_506 >> $CFG_FILE

echo "" >> $CFG_FILE
echo "#USB Drivers" >> $CFG_FILE
echo CONFIG_USB=$CONFIG_USB >> $CFG_FILE
echo CONFIG_USB_503A_RFMD=$CONFIG_USB_503A_RFMD >> $CFG_FILE
echo CONFIG_USB_503A_I=$CONFIG_USB_503A_I >> $CFG_FILE
echo CONFIG_USB_503A_I3863=$CONFIG_USB_503A_I3863 >> $CFG_FILE
echo CONFIG_USB_505=$CONFIG_USB_505 >> $CFG_FILE
echo CONFIG_USB_CUSTOMPIDVID=$CONFIG_USB_CUSTOMPIDVID >> $CFG_FILE
if [ $CONFIG_USB_CUSTOMPIDVID ] && [ $CONFIG_USB_CUSTOMPIDVID = 'y' ]; then
	echo BoardDefine = $BoardDefine >> $CFG_FILE
fi
echo "" >> $CFG_FILE
echo "#Applications Configuration" >> $CFG_FILE
echo CONFIG_APPS=$CONFIG_APPS >> $CFG_FILE
echo CONFIG_CMD_LINE=$CONFIG_CMD_LINE >> $CFG_FILE
echo CONFIG_XAPP=$CONFIG_XAPP >> $CFG_FILE
echo "" >> $CFG_FILE
if [ $CONFIG_DEBUG ] && [ $CONFIG_DEBUG == 'y' ]; then
	echo "#DEBUG INFORMATION" >> $CFG_FILE
	echo "DEBUG=y" >> $CFG_FILE
fi

echo "# runtime variables. Generated by setup.sh" >> $CFG_FILE
cat ${CFG_FILE}tmp >> $CFG_FILE

rm -f ${CFG_FILE}tmp
